// size is the XY plane size, height in Z
module hexagon(size, height) {
  boxWidth = size/1.75;
  for (r = [-60, 0, 60]) rotate([0,0,r]) cube([boxWidth, size, height], true);
}

color([255/255,120/255,0,1])union(){
	//the three hexagons
	hexagon(50,30);
	translate([50,30,0])hexagon(50,30);
	translate([50,-30,0])hexagon(50,30);

	// the three connectors
	translate([25,15,-14])rotate([0,0,30])cube([10,10,2],true);
	translate([25,-15,-14])rotate([0,0,-30])cube([10,10,2],true);
	translate([50,0,-14])rotate([0,0,90])cube([10,10,2],true);
}
